public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/
Date: Wed, 29 Jan 2020 00:12:02 +0000 (UTC)	[thread overview]
Message-ID: <1580256718.fa753b1f6d3f193fa2752e22bb9391ad77b9802e.slyfox@gentoo> (raw)

commit:     fa753b1f6d3f193fa2752e22bb9391ad77b9802e
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 29 00:11:36 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Jan 29 00:11:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa753b1f

dev-lang/nim: bump up to 1.0.6

Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-lang/nim/Manifest         |  1 +
 dev-lang/nim/nim-1.0.6.ebuild | 78 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-lang/nim/Manifest b/dev-lang/nim/Manifest
index 621b3396629..cf27238f3ec 100644
--- a/dev-lang/nim/Manifest
+++ b/dev-lang/nim/Manifest
@@ -1,2 +1,3 @@
 DIST nim-1.0.2.tar.xz 5139712 BLAKE2B bcb0f0fa2ed6069021a6359e453def7beccb6e767e3e1111ff27d8fb2adb7351336f219a88e2450df3d4aece1dd7f6e1a8fb891aa31581c32bb2535d2cf604a7 SHA512 5d7a45efcf656d5467554c3bbf42d0c62a760ccd107cec439d8375839d2e80baadfb3f598598748ef8e1b32d3eb931caaa273f8e41bbf6f4e16c7afbef745349
 DIST nim-1.0.4.tar.xz 5161396 BLAKE2B ff6f5b51775bfc8e83cf5ed91bf70d63d6af40cb8802d765b27a306d6a1c93ecbd4de64edfe9537b659c89c62c92ab46008d55616c7143fa9b8adaa4e905aa66 SHA512 0614259372500da4e5d67822d3caeec4c9ec6b1a06494768cfaff1db960484c1e9c1aafe70b05d1ac07b5f22d8ff57214f455e95dba26a5648d2186f13d1265a
+DIST nim-1.0.6.tar.xz 5153708 BLAKE2B c3263d4cf19629093306fa93decf038d8b19b8d810b7e782f84708b6771e2950554cda7c6f3d63e8dc6d2b604649fd31bd7009e51bea49ae556aa973cefc4167 SHA512 8da5281a8d93349996cbbe445e21fa9525c56e5721578ede2ae0f668cb2f29641db7d50a1b1a3e2c404ce56cb83dca10df5cbc84983242646a735b8f58d05f80

diff --git a/dev-lang/nim/nim-1.0.6.ebuild b/dev-lang/nim/nim-1.0.6.ebuild
new file mode 100644
index 00000000000..05a23695168
--- /dev/null
+++ b/dev-lang/nim/nim-1.0.6.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 multiprocessing toolchain-funcs
+
+DESCRIPTION="compiled, garbage-collected systems programming language"
+HOMEPAGE="https://nim-lang.org/"
+SRC_URI="https://nim-lang.org/download/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc +readline test"
+
+RESTRICT=test # need to sort out depends and numerous failures
+
+RDEPEND="
+	readline? ( sys-libs/readline:0= )
+"
+DEPEND="
+	${DEPEND}
+	test? ( net-libs/nodejs )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.20.0-paths.patch
+)
+
+_run() {
+	echo "$@"
+	"$@" || die "'$*' failed"
+}
+
+nim_use_enable() {
+	[[ -z $2 ]] && die "usage: nim_use_enable <USE flag> <compiler flag>"
+	use $1 && echo "-d:$2"
+}
+
+src_compile() {
+	export XDG_CACHE_HOME=${T}/cache #667182
+	tc-export CC LD
+
+	_run ./build.sh
+
+	_run ./bin/nim --parallelBuild:$(makeopts_jobs) c koch
+	_run ./koch boot --parallelBuild:$(makeopts_jobs) -d:release $(nim_use_enable readline useGnuReadline)
+	# build nimble and friends
+	# --stable to avoid pulling HEAD nimble
+	PATH="./bin:$PATH" _run ./koch --stable tools
+
+	if use doc; then
+		PATH="./bin:$PATH" _run ./koch doc
+	fi
+}
+
+src_test() {
+	PATH="./bin:$PATH" _run ./koch test
+}
+
+src_install() {
+	PATH="./bin:$PATH" _run ./koch install "${ED}"
+	rm -r "${ED}/usr/share/nim/doc" || die "failed to remove 'doc'"
+
+	exeinto /usr/bin
+
+	local bin_exe
+	for bin_exe in bin/*; do
+		# './koch install' installs only 'nim' binary
+		# but not the rest
+		[[ ${bin_exe} == bin/nim ]] && continue
+		doexe "${bin_exe}"
+	done
+
+	use doc && dodoc doc/html/*.html
+	newbashcomp tools/nim.bash-completion ${PN}
+}


             reply	other threads:[~2020-01-29  0:12 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-29  0:12 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-26 18:30 [gentoo-commits] repo/gentoo:master commit in: dev-lang/nim/ Maciej Barć
2025-02-19 22:18 Maciej Barć
2024-10-05 21:44 Maciej Barć
2024-10-02  9:49 Maciej Barć
2024-09-11 23:59 Sam James
2024-08-08 12:06 Maciej Barć
2024-08-08 11:03 Maciej Barć
2024-08-08 11:03 Maciej Barć
2024-07-21 20:33 Arthur Zamarin
2024-05-24  0:34 Sam James
2024-04-19 12:44 Maciej Barć
2024-04-17 22:10 Maciej Barć
2023-09-02 13:08 Maciej Barć
2023-08-12  7:52 Arthur Zamarin
2023-08-01 18:53 Maciej Barć
2023-08-01 18:53 Maciej Barć
2023-05-05 12:03 Maciej Barć
2023-04-12  1:50 Sam James
2023-03-11  8:02 Maciej Barć
2023-03-11  8:02 Maciej Barć
2023-02-28 18:03 Maciej Barć
2023-02-26 18:27 Arthur Zamarin
2023-01-03 20:30 Maciej Barć
2023-01-03 20:30 Maciej Barć
2022-11-24  4:13 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-09-29  0:22 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-07-13 21:19 Maciej Barć
2022-05-06 20:19 Maciej Barć
2022-03-10 23:12 Sam James
2022-02-16 11:33 Maciej Barć
2021-12-25 20:31 Maciej Barć
2021-12-25 20:28 Maciej Barć
2021-12-25 20:03 Maciej Barć
2021-12-25 20:03 Maciej Barć
2021-07-02  7:17 Sergei Trofimovich
2021-06-05 10:50 Sergei Trofimovich
2021-05-25 22:47 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-16 19:18 Sergei Trofimovich
2021-02-26 10:25 Sergei Trofimovich
2021-02-24  8:16 Sergei Trofimovich
2020-12-12 21:30 Sergei Trofimovich
2020-12-04 20:58 Sergei Trofimovich
2020-12-04 15:27 Sergei Trofimovich
2020-12-04  0:35 Sergei Trofimovich
2020-10-18 12:31 Sergei Trofimovich
2020-10-16 21:12 Sergei Trofimovich
2020-08-01 15:35 Sergei Trofimovich
2020-07-31 22:53 Sergei Trofimovich
2020-06-28 22:43 Sergei Trofimovich
2020-06-27 18:49 Sergei Trofimovich
2020-06-20 19:49 Sergei Trofimovich
2020-06-17 21:47 Sergei Trofimovich
2020-05-24 22:10 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-04 20:18 Sergei Trofimovich
2020-02-26 17:39 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2019-11-27 23:56 Sergei Trofimovich
2019-11-09 15:59 Sergei Trofimovich
2019-11-09 15:49 Sergei Trofimovich
2019-09-23 22:51 Sergei Trofimovich
2019-07-17 21:14 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-05-14  7:31 Sergei Trofimovich
2019-02-02 18:08 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2019-01-01 21:14 Sergei Trofimovich
2018-09-28 21:32 Sergei Trofimovich
2018-03-11 14:39 Sergei Trofimovich
2018-03-04 17:06 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-03-02 20:52 Sergei Trofimovich
2017-10-10  9:51 Sergei Trofimovich
2017-10-09 19:21 Sergei Trofimovich
2017-09-09  9:43 Sergei Trofimovich
2017-07-04 21:56 Sergei Trofimovich
2017-05-18 20:23 Sergei Trofimovich
2017-01-22 11:40 Sergei Trofimovich
2017-01-11  6:09 Sergei Trofimovich
2016-10-24 21:33 Sergei Trofimovich
2016-10-24 21:13 Sergei Trofimovich
2016-10-01  9:25 Sergei Trofimovich
2016-07-28 20:42 Sergei Trofimovich
2016-07-28 20:40 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1580256718.fa753b1f6d3f193fa2752e22bb9391ad77b9802e.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox